- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# MTimer Class Reference

# OpenMaya - API module for common classes

Search for all occurrences

## Detailed Description

This class works similar to timerX MEL command.

MTimer class provides the functionality for calculating the time elapsed/consumed in executing a particular portion of the code. The portion of the code to be timed is embedded inbetween the calls to'beginTimer()' and 'endTimer()'. A call to 'elapsedTime()' gives the time spent in executing that portion of the code. The calculated time in seconds will be with 2 decimal accuracy.

Examples:

  threadTestCmd.cpp, and threadTestWithLocksCmd.cpp.

`#include <MTimer.h>`

List of all members.

## Public Member Functions
| MTimer ()
| Default class constructor.
| MTimer (const MTimer &)
| Copy Constructor.
| ~MTimer ()
| The class destructor.
void | beginTimer ()
| The call to this function starts the timer. Search for all occurrences
void | endTimer ()
| The call to this function ends the timer. Search for all occurrences
double | elapsedTime ()
| This function returns the time elapsed between the calls to beginTimer and endTimer.
MTimer & | operator= (const MTimer &rhs)
| Assignment operator.
bool | operator== (const MTimer &rhs) const
| Equality operator.
bool | operator!= (const MTimer &rhs) const
| InEquality operator. Search for all occurrences
void | clear ()
| This function resets the member variables so that same MTimer object can be used to time other portions of the code. Search for all occurrences

## Constructor & Destructor Documentation

MTimer | ( | const MTimer & | src | ) |

Copy Constructor.

Parameters:

  [in] | src | the instance to copy

## Member Function Documentation

MTimer & operator= | ( | const MTimer & | rhs | ) |

Assignment operator.

Parameters:

  [in] | rhs | The timer to copy from.

bool operator== | ( | const MTimer & | rhs | ) | const

Equality operator.

Checks whether the start time and end time are same.

Parameters:

  [in] | rhs | The timer to compare with.

bool operator!= | ( | const MTimer & | rhs | ) | const

InEquality operator.

Parameters:

  [in] | rhs | The timer to compare with.

MTimer MTimer MTimer MTimer MTimer MTimer MTimer MTimer MTimer MTimer
MTimer MTimer MTimer MTimer MTimer MTimer MTimer MTimer MTimer MTimer